Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.textfileinput
Class TextFileInputField

    java.lang.Object
      org.pentaho.di.trans.steps.textfileinput.TextFileInputField

All Implemented Interfaces:
  Cloneable, Comparable<org.pentaho.di.core.gui.TextFileInputFieldInterface>, org.pentaho.di.core.gui.TextFileInputFieldInterface

    public class TextFileInputField

extends Object
implements Cloneable, org.pentaho.di.core.gui.TextFileInputFieldInterface

Describes a single field in a text file

Since:
  19-04-2004
Author:
  Matt

Constructor Summary
`TextFileInputField()`
`TextFileInputField(String fieldname, int position, int length)`

Method Summary
`Object` | `clone()`
`int` | `compare(Object obj)`
`int` | `compareTo(org.pentaho.di.core.gui.TextFileInputFieldInterface field)`
`org.pentaho.di.core.gui.TextFileInputFieldInterface` | `createNewInstance(String newFieldname, int x, int newlength)`
`boolean` | `equal(Object obj)`
`void` | `flipIgnored()`
`void` | `flipRepeated()`
`String` | `getCurrencySymbol()`
`String` | `getDecimalSymbol()`
`String` | `getFormat()`
`String` | `getGroupSymbol()`
`String` | `getIfNullValue()`
`int` | `getLength()`
`String` | `getName()`
`String` | `getNullString()`
`int` | `getPosition()`
`int` | `getPrecision()`
`int` | `getTrimType()`
`String` | `getTrimTypeCode()`
`String` | `getTrimTypeDesc()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `guess()`
`void` | `guessIgnore()`
`static int` | `guessPrecision(double d)`
`void` | `guessTrimType()`
`void` | `guessType()`
`boolean` | `isIgnored()`
`boolean` | `isRepeated()`
`void` | `setCurrencySymbol(String currency_symbol)`
`void` | `setDecimalSymbol(String decimal_symbol)`
`void` | `setFormat(String format)`
`void` | `setGroupSymbol(String group_symbol)`
`void` | `setIfNullValue(String ifNullValue)`
`void` | `setIgnored(boolean ignore)`
`void` | `setLength(int length)`
`void` | `setName(String fieldname)`
`void` | `setNullString(String null_string)`
`void` | `setPosition(int position)`
`void` | `setPrecision(int precision)`
`void` | `setRepeated(boolean repeat)`
`void` | `setSamples(String[] samples)`
`void` | `setTrimType(int trimtype)`
`void` | `setType(int type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextFileInputField

    public TextFileInputField(String fieldname,
                              int position,
                              int length)

### TextFileInputField

    public TextFileInputField()

Method Detail

### compare

    public int compare(Object obj)

### compareTo

    public int compareTo(org.pentaho.di.core.gui.TextFileInputFieldInterface field)

  Specified by:
    `compareTo` in interface `Comparable<org.pentaho.di.core.gui.TextFileInputFieldInterface>`

### equal

    public boolean equal(Object obj)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `org.pentaho.di.core.gui.TextFileInputFieldInterface`

### setPosition

    public void setPosition(int position)

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.pentaho.di.core.gui.TextFileInputFieldInterface`

### setLength

    public void setLength(int length)

  Specified by:
    `setLength` in interface `org.pentaho.di.core.gui.TextFileInputFieldInterface`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.pentaho.di.core.gui.TextFileInputFieldInterface`

### setName

    public void setName(String fieldname)

### getType

    public int getType()

### getTypeDesc

    public String getTypeDesc()

### setType

    public void setType(int type)

### isIgnored

    public boolean isIgnored()

### setIgnored

    public void setIgnored(boolean ignore)

### flipIgnored

    public void flipIgnored()

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### setSamples

    public void setSamples(String[] samples)

### getTrimType

    public int getTrimType()

### getTrimTypeCode

    public String getTrimTypeCode()

### getTrimTypeDesc

    public String getTrimTypeDesc()

### setTrimType

    public void setTrimType(int trimtype)

### getGroupSymbol

    public String getGroupSymbol()

### setGroupSymbol

    public void setGroupSymbol(String group_symbol)

### getDecimalSymbol

    public String getDecimalSymbol()

### setDecimalSymbol

    public void setDecimalSymbol(String decimal_symbol)

### getCurrencySymbol

    public String getCurrencySymbol()

### setCurrencySymbol

    public void setCurrencySymbol(String currency_symbol)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int precision)

### isRepeated

    public boolean isRepeated()

### setRepeated

    public void setRepeated(boolean repeat)

### flipRepeated

    public void flipRepeated()

### getNullString

    public String getNullString()

### setNullString

    public void setNullString(String null_string)

### getIfNullValue

    public String getIfNullValue()

### setIfNullValue

    public void setIfNullValue(String ifNullValue)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### guess

    public void guess()

### guessTrimType

    public void guessTrimType()

### guessType

    public void guessType()

### guessPrecision

    public static final int guessPrecision(double d)

### guessIgnore

    public void guessIgnore()

### createNewInstance

    public org.pentaho.di.core.gui.TextFileInputFieldInterface createNewInstance(String newFieldname,
                                                                                 int x,
                                                                                 int newlength)

  Specified by:
    `createNewInstance` in interface `org.pentaho.di.core.gui.TextFileInputFieldInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD